GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
gdcm::network::MaximumLengthSub Class Reference

MaximumLengthSub Annex D Table D.1-1 MAXIMUM LENGTH SUB-ITEM FIELDS (A-ASSOCIATE-RQ) More...

`#include <gdcmMaximumLengthSub.h>`

## Public Member Functions

| MaximumLengthSub ()
uint32_t | GetMaximumLength () const
std::istream & | Read (std::istream &is)
void | SetMaximumLength (uint32_t maximumlength)
size_t | Size () const
const std::ostream & | Write (std::ostream &os) const

## Detailed Description

MaximumLengthSub Annex D Table D.1-1 MAXIMUM LENGTH SUB-ITEM FIELDS (A-ASSOCIATE-RQ)

or

Table D.1-2 Maximum length sub-item fields (A-ASSOCIATE-AC)

## Constructor & Destructor Documentation

gdcm::network::MaximumLengthSub::MaximumLengthSub | ( |  | ) |

## Member Function Documentation

uint32_t gdcm::network::MaximumLengthSub::GetMaximumLength | ( |  | ) | const

inline

std::istream& gdcm::network::MaximumLengthSub::Read | ( | std::istream & | is | ) |

void gdcm::network::MaximumLengthSub::SetMaximumLength | ( | uint32_t | maximumlength | ) |

inline

size_t gdcm::network::MaximumLengthSub::Size | ( |  | ) | const

const std::ostream& gdcm::network::MaximumLengthSub::Write | ( | std::ostream & | os | ) | const

The documentation for this class was generated from the following file:

- gdcmMaximumLengthSub.h